Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1808425 - [4.4] Idle OpenShift Image registry queries Azure storage keys about 40 times per minute
Summary: [4.4] Idle OpenShift Image registry queries Azure storage keys about 40 times...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.2.z
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
: 4.4.0
Assignee: Corey Daley
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1776665
Blocks: 1808426
TreeView+ depends on / blocked
 
Reported: 2020-02-28 13:52 UTC by Adam Kaplan
Modified: 2020-05-27 08:42 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1776665
: 1808426 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:43:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 471 0 None closed [release-4.4] Bug 1808425: Remove watch for KubeSystem ConfigMaps 2020-06-18 06:23:55 UTC
Github openshift cluster-image-registry-operator pull 502 0 None closed [release-4.4] Bug 1808425: ignore most kube-system events 2020-06-18 06:23:55 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:43:59 UTC

Comment 3 Wenjing Zheng 2020-03-02 10:00:13 UTC
No "List Storage Account Keys" events under the resource group "Activity log" in Azure console when registry is idle, so verify this bug with 4.4.0-0.nightly-2020-03-01-215047.

Comment 5 W. Trevor King 2020-03-16 19:23:21 UTC
like [1] and using impacted-version information from [2], verification for born-in-4.1 clusters will look like:

1. Install a 4.1 cluster.  Looks like 4.1.34 is a good choice because it's the lastest in stable-4.1.
2. Update to 4.2.20 (avoiding 4.2.21+ impacted by the cred operator bug [1]).
3. Update to 4.3.2 (avoid 4.3.3+ having the broken assumption that PlatformStatus is populated).
   We don't have any recommended edges into 4.3.2, [1] lists the motivating bugs, but none of them should actually break the update.
4. Force an update to the 4.4 nightly with the candidate fix.
5. Ensure the registry operator is not panicking.

The cred operator might be panicking, depending on whether this change lands before the cred-operator fix from bug 1813998, but that's orthogonal.

[1]: https://bugzilla.redhat.com/show_bug.cgi?id=1813998#c1
[2]: https://bugzilla.redhat.com/show_bug.cgi?id=1776665#c16

Comment 7 Wenjing Zheng 2020-04-15 12:53:26 UTC
Verified on 4.4.0-0.ci-2020-04-15-062752: requests refresh every 5 minutes and image registry work well in born-in-4.1 cluster.

Comment 9 errata-xmlrpc 2020-05-04 11:43:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.